This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 68922 - clone ATI Radeon 7500 LE works
clone ATI Radeon 7500 LE works
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-15 20:26 EDT by tom georgoulias
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-15 20:28:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XF86Config-4 (1.85 KB, text/plain)
2002-07-15 20:27 EDT, tom georgoulias
no flags Details
XFree86.0.log (28.90 KB, text/plain)
2002-07-15 20:28 EDT, tom georgoulias
no flags Details

  None (edit)
Description tom georgoulias 2002-07-15 20:26:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020618

Description of problem:
non-ATI produced Radeon 7500 LE graphics card works

Version-Release number of selected component (if applicable):
XFree86-4.2.0-8

How reproducible:
Always

Steps to Reproduce:
1. Install graphics card
2. use Xconfigurator to set up config.

	

Actual Results:  Card works for 2D and hardware accelerated 3D.

Expected Results:  NA

Additional info:

According to a July 10 post on xfree86-list@redhat.com, users with working
XFree86 setups for non-ATI produced cards should report it as an RFE bug.  Here
is the info on mine:

The card is an OEM card and was produced by Athlon Micro (?) for the Asian
Market.  This is everything that I could find about the card on the board itself:

ATI Radeon 7500 LE
64M DDR v/D/VO
P/N 1024-1161-23-SA
S/N 2270026823
PCB# 35-F161-G1-03

[root@gemini root]# lspci -v
00:00.0 Host bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133] (rev 03)
	Flags: bus master, medium devsel, latency 8
	Memory at d0000000 (32-bit, prefetchable) [size=128M]
	Capabilities: [a0] AGP version 2.0
	Capabilities: [c0] Power Management version 2

00:01.0 PCI bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133 AGP]
(prog-if 00 [Normal decode])
	Flags: bus master, 66Mhz, medium devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: e0000000-e1ffffff
	Prefetchable memory behind bridge: d8000000-dfffffff
	Capabilities: [80] Power Management version 2

00:07.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 40)
	Subsystem: VIA Technologies, Inc. VT82C686/A PCI to ISA Bridge
	Flags: bus master, stepping, medium devsel, latency 0
	Capabilities: [c0] Power Management version 2

00:07.1 IDE interface: VIA Technologies, Inc. Bus Master IDE (rev 06) (prog-if
8a [Master SecP PriP])
	Subsystem: VIA Technologies, Inc. Bus Master IDE
	Flags: bus master, medium devsel, latency 32
	I/O ports at e000 [size=16]
	Capabilities: [c0] Power Management version 2

00:07.4 Bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev 40)
	Subsystem: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI]
	Flags: medium devsel, IRQ 11
	Capabilities: [68] Power Management version 2

00:09.0 Multimedia audio controller: Ensoniq ES1371 [AudioPCI-97] (rev 07)
	Subsystem: Ensoniq: Unknown device 8001
	Flags: bus master, slow devsel, latency 32, IRQ 10
	I/O ports at ec00 [size=64]
	Capabilities: [dc] Power Management version 1

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon 7500 QW (prog-if
00 [VGA])
	Subsystem: Unknown device 174b:7161
	Flags: bus master, stepping, 66Mhz, medium devsel, latency 32, IRQ 11
	Memory at d8000000 (32-bit, prefetchable) [size=128M]
	I/O ports at d000 [size=256]
	Memory at e1000000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at <unassigned> [disabled] [size=128K]
	Capabilities: [58] AGP version 2.0
	Capabilities: [50] Power Management version 2

[root@gemini root]# lspci -vn
00:00.0 Class 0600: 1106:0305 (rev 03)
	Flags: bus master, medium devsel, latency 8
	Memory at d0000000 (32-bit, prefetchable) [size=128M]
	Capabilities: [a0] AGP version 2.0
	Capabilities: [c0] Power Management version 2

00:01.0 Class 0604: 1106:8305
	Flags: bus master, 66Mhz, medium devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: e0000000-e1ffffff
	Prefetchable memory behind bridge: d8000000-dfffffff
	Capabilities: [80] Power Management version 2

00:07.0 Class 0601: 1106:0686 (rev 40)
	Subsystem: 1106:0000
	Flags: bus master, stepping, medium devsel, latency 0
	Capabilities: [c0] Power Management version 2

00:07.1 Class 0101: 1106:0571 (rev 06) (prog-if 8a [Master SecP PriP])
	Subsystem: 1106:0571
	Flags: bus master, medium devsel, latency 32
	I/O ports at e000 [size=16]
	Capabilities: [c0] Power Management version 2

00:07.4 Class 0680: 1106:3057 (rev 40)
	Subsystem: 1106:3057
	Flags: medium devsel, IRQ 11
	Capabilities: [68] Power Management version 2

00:09.0 Class 0401: 1274:1371 (rev 07)
	Subsystem: 1274:8001
	Flags: bus master, slow devsel, latency 32, IRQ 10
	I/O ports at ec00 [size=64]
	Capabilities: [dc] Power Management version 1

01:00.0 Class 0300: 1002:5157
	Subsystem: 174b:7161
	Flags: bus master, stepping, 66Mhz, medium devsel, latency 32, IRQ 11
	Memory at d8000000 (32-bit, prefetchable) [size=128M]
	I/O ports at d000 [size=256]
	Memory at e1000000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at <unassigned> [disabled] [size=128K]
	Capabilities: [58] AGP version 2.0
	Capabilities: [50] Power Management version 2

[root@gemini root]# name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_import_context
client glx vendor string: SGI
client glx version string: 1.2
client glx extensions:
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_import_context
GLX extensions:
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_import_context
OpenGL vendor string: VA Linux Systems, Inc.
OpenGL renderer string: Mesa DRI Radeon 20010402 AGP 1x x86/MMX/3DNow!
OpenGL version string: 1.2 Mesa 3.4.2
OpenGL extensions:
    GL_ARB_multitexture, GL_ARB_transpose_matrix, GL_EXT_abgr, 
    GL_EXT_blend_func_separate, GL_EXT_clip_volume_hint, 
    GL_EXT_compiled_vertex_array, GL_EXT_histogram, GL_EXT_packed_pixels, 
    GL_EXT_polygon_offset, GL_EXT_rescale_normal, GL_EXT_stencil_wrap, 
    GL_EXT_texture3D, GL_EXT_texture_env_add, GL_EXT_texture_env_combine, 
    GL_EXT_texture_env_dot3, GL_EXT_texture_object, GL_EXT_texture_lod_bias, 
    GL_EXT_vertex_array, GL_MESA_window_pos, GL_MESA_resize_buffers, 
GL_NV_texgen_reflection, GL_PGI_misc_hints, GL_SGIS_pixel_texture, 
    GL_SGIS_texture_edge_clamp
glu version: 1.3
glu extensions:
    GLU_EXT_nurbs_tessellator, GLU_EXT_object_space_tess

   visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
 id dep cl sp sz l  ci b ro  r  g  b  a bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------
0x23 24 tc  0 24  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x24 24 tc  0 24  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 Slow
0x25 24 tc  0 24  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x26 24 tc  0 24  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x27 24 dc  0 24  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x28 24 dc  0 24  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 Slow
0x29 24 dc  0 24  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x2a 24 dc  0 24  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
[root@gemini root]# scanpci -v

pci bus 0x0000 cardnum 0x00 function 0x00: vendor 0x1106 device 0x0305
 VIA  Device unknown
  STATUS    0x2210  COMMAND 0x0006
  CLASS     0x06 0x00 0x00  REVISION 0x03
  BIST      0x00  HEADER 0x00  LATENCY 0x08  CACHE 0x00
  BASE0     0xd0000008  addr 0xd0000000  MEM PREFETCHABLE

pci bus 0x0000 cardnum 0x01 function 0x00: vendor 0x1106 device 0x8305
 VIA  Device unknown
  STATUS    0x2230  COMMAND 0x0007
  CLASS     0x06 0x04 0x00  REVISION 0x00
  HEADER    0x01  LATENCY 0x00
  PRIBUS    0x00  SECBUS 0x01  SUBBUS 0x01  SECLT 0x00
  IOBASE    0xd000  IOLIM 0xdfff  SECSTATUS 0x0000
  NOPREFETCH_MEMBASE 0xe0000000  MEMLIM 0xe1ffffff
  PREFETCH_MEMBASE   0xd8000000  MEMLIM 0xdfffffff
  NO_FAST_B2B NO_SEC_BUS_RST NO_M_ABRT VGA_EN ISA_EN NO_SERR_EN NO_PERR_EN

pci bus 0x0000 cardnum 0x07 function 0x00: vendor 0x1106 device 0x0686
 VIA VT 82C686 MVP4 ISA Bridge
 CardVendor 0x1106 card 0x0000 (VIA, Card unknown)
  STATUS    0x0210  COMMAND 0x0087
  CLASS     0x06 0x01 0x00  REVISION 0x40
  BIST      0x00  HEADER 0x80  LATENCY 0x00  CACHE 0x00
  BYTE_0    0x108  BYTE_1  0x00  BYTE_2  0x00  BYTE_3  0x00

pci bus 0x0000 cardnum 0x07 function 0x01: vendor 0x1106 device 0x0571
 VIA VT 82C586 MVP3 IDE Bridge
 CardVendor 0x1106 card 0x0571 (VIA, Card unknown)
  STATUS    0x0290  COMMAND 0x0007
  CLASS     0x01 0x01 0x8a  REVISION 0x06
  BIST      0x00  HEADER 0x00  LATENCY 0x20  CACHE 0x00
  BASE4     0x0000e001  addr 0x0000e000  I/O
  MAX_LAT   0x00  MIN_GNT 0x00  INT_PIN 0x00  INT_LINE 0xff
  BYTE_0    0x3a09c20b  BYTE_1  0x00  BYTE_2  0x80727c8  BYTE_3  0xffffffff

pci bus 0x0000 cardnum 0x07 function 0x04: vendor 0x1106 device 0x3057
 VIA VT 8501 MVP4 ACPI Bridge
 CardVendor 0x1106 card 0x3057 (VIA, Card unknown)
  STATUS    0x0290  COMMAND 0x0000
  CLASS     0x06 0x80 0x00  REVISION 0x40
  BYTE_0    0x5b8420  BYTE_1  0x00  BYTE_2  0x8072b40  BYTE_3  0xffffffff

pci bus 0x0000 cardnum 0x09 function 0x00: vendor 0x1274 device 0x1371
 Ensoniq es1371
 CardVendor 0x1274 card 0x8001 (Ensoniq, Card unknown)
  STATUS    0x0410  COMMAND 0x0105
  CLASS     0x04 0x01 0x00  REVISION 0x07
  BIST      0x00  HEADER 0x00  LATENCY 0x20  CACHE 0x00
  BASE0     0x0000ec01  addr 0x0000ec00  I/O
  MAX_LAT   0x80  MIN_GNT 0x0c  INT_PIN 0x01  INT_LINE 0x0a

pci bus 0x0001 cardnum 0x00 function 0x00: vendor 0x1002 device 0x5157
 ATI Radeon 7500 QW
 CardVendor 0x174b card 0x7161 (Card unknown)
  STATUS    0x02b0  COMMAND 0x0087
  CLASS     0x03 0x00 0x00  REVISION 0x00
  BIST      0x00  HEADER 0x00  LATENCY 0x20  CACHE 0x08
  BASE0     0xd8000008  addr 0xd8000000  MEM PREFETCHABLE
  BASE1     0x0000d001  addr 0x0000d000  I/O
  BASE2     0xe1000000  addr 0xe1000000  MEM
  MAX_LAT   0x00  MIN_GNT 0x08  INT_PIN 0x01  INT_LINE 0x0b
[root@gemini root]#
Comment 1 tom georgoulias 2002-07-15 20:27:30 EDT
Created attachment 65505 [details]
XF86Config-4
Comment 2 tom georgoulias 2002-07-15 20:28:55 EDT
Created attachment 65506 [details]
XFree86.0.log
Comment 3 Mike A. Harris 2002-07-24 05:46:05 EDT
Added to our pcitable, and also submitted to the master PCI ID repository at:

http://pciids.sourceforge.net

Thanks for your submission.  Please submit any new ID's you may have in
a similar fashion in the future, and I'll make sure they get added to
both our table, and the upstream database.

Thanks again.

Note You need to log in before you can comment on or make changes to this bug.